Core - Bug # 43244

Status: Resolved Priority: Must have

Author: Peter Kraume Category: Extension Manager
Created: 2012-11-23 Assigned To: Francois Suter
Updated: 2013-02-02 Due date:

TYPO3 Version: 6.0

PHP Version: 53

Complexity: medium

Is Regression:

Sprint Focus:

Subject: Support for class.ext_update.php missing in new EM in TYPOS3 6.0

Description

As far as | can see there is currently no support for class.ext_update.php in the new extension manager in TYPO3 6.0

Related issues:
related to Core - Bug # 58697: jQuery tabs pollution

Rejected 2014-05-11

Associated revisions

Revision 6154e367 - 2013-02-01 23:34 - Francois Suter

[BUGFIX] Restore support for Update script

The new EM is missing support for the class.ext_update.php script.

This patch restores it, giving it its own icon in the extension

list view.

Change-Id: Id5ea243bb689882959aa85cdbe700e784d83b2c0
Resolves: #43244

Releases: 6.1, 6.0

Reviewed-on: https://review.typo3.org/16780

Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 1f5563d6 - 2013-02-01 23:39 - Francois Suter

[BUGFIX] Restore support for Update script

The new EM is missing support for the class.ext_update.php script.

This patch restores it, giving it its own icon in the extension

list view.

Change-Id: [d5ea243bb689882959aa85cdbe700e784d83b2c0
Resolves: #43244

Releases: 6.1, 6.0

Reviewed-on: https://review.typo3.org/17938
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2012-11-27 08:55 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16780

#2 - 2012-11-27 11:40 - Nicole Cordes

As this wasn't merged to the final 6.0 yet I'll take care of that one. Will add an own icon for update script (and therefore an own Controller and take care

about compat layer for old extensions)
- Introduce new class naming: namespace + class ExtensionUpdate

- Maybe we should add an interface for that as well to make sure access() and main() function >-isAeeessible(}-and+ender(}-are-always-part-of-the
class

Compat mode for ext_update -> register own extensionmanager cache and rewrite old files to have an extension depending class which can be
loaded by em

#3 - 2012-11-27 11:44 - Philipp Gampe

Sounds cool, but now make it a too big change :)

#4 - 2012-12-23 03:30 - Philipp Gampe

Any progress here?

#5 - 2013-01-28 16:28 - Francois Suter

- Priority changed from Should have to Must have

- Target version changed from 6.0.0 to 6.0.1

#6 - 2013-01-29 20:34 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/16780

#7 - 2013-01-29 20:39 - Francois Suter
- Assigned To set to Francois Suter

- PHP Version set to 5.3

- Complexity set to medium

Nicole, your idea is good, but | would proceed in 2 steps. The first one is to restore support for the update script in the new EM, which is really an
important feature (it's a wonder how it could be forgotten). A second step would be to improve this as you suggest. It is indeed an area which needs to
be cleaned up, but | would apply such change only to 6.1.

#8 - 2013-01-29 21:07 - Ingo Renner

- Target version changed from 6.0.1 to 6.0.2

#9 - 2013-01-30 18:48 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/16780

#10 - 2013-01-31 22:28 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/16780

#11 - 2013-02-01 18:38 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/16780

#12 - 2013-02-01 21:36 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/16780

#13 - 2013-02-01 21:44 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/16780

#14 - 2013-02-01 23:37 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.

It is available at https://review.typo3.org/17938

#15 - 2013-02-02 00:30 - Francois Suter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1f5563d6ef2ffbc41c37a60ff3db05f47b5bd677.
